Bug 885171 - Extended Runtime Tests depend on 'rhc' command's output format, making it susceptible to changes
Summary: Extended Runtime Tests depend on 'rhc' command's output format, making it sus...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Test Infrastructure
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-07 16:34 UTC by Hiro Asari
Modified: 2019-03-29 14:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-19 19:25:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Hiro Asari 2012-12-07 16:34:29 UTC
Description of problem:

https://github.com/openshift/origin-server/blob/2f4d425/controller/test/cucumber/step_definitions/cartridge-jenkins_steps.rb#L23-L31

Right now, Cucumber tests are scraping the cucumber log file to look up Jenkins user information. This makes it susceptible to slightest change in the cartridge's output format.

Comment 1 Jhon Honce 2012-12-08 22:03:27 UTC
Fixed in https://github.com/openshift/origin-server/pull/1046

Comment 2 Xiaoli Tian 2012-12-11 09:47:05 UTC
The latest runtime extended tests #506 are running against devenv_2582 and PASS.

Started by upstream project "libra_ami" build number 2582


Note You need to log in before you can comment on or make changes to this bug.